Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.settings
Class ModuleAttributeInfo

    java.lang.Object
      javax.management.MBeanFeatureInfo
          javax.management.MBeanAttributeInfo
              org.archive.crawler.settings.ModuleAttributeInfo

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class ModuleAttributeInfo

extends javax.management.MBeanAttributeInfo

Author:
  John Erik Halse
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.management.MBeanFeatureInfo
`description, name`

Constructor Summary
`ModuleAttributeInfo(ModuleAttributeInfo attr)`
`ModuleAttributeInfo(Type type)` Construct a new instance of ModuleAttributeInfo.

Method Summary
`java.lang.Object` | `getDefaultValue()`
`java.lang.Object[]` | `getLegalValues()`
`java.lang.String` | `getType()`
`boolean` | `isComplexType()` Returns true if this attribute refers to a ComplexType.
`boolean` | `isExpertSetting()` Returns true if this Type should only show up in expert mode in UI.
`boolean` | `isOverrideable()` Returns true if this attribute could be overridden in per settings.
`boolean` | `isTransient()` Returns true if this attribute should be hidden from UI and not be serialized to persistent storage.
`protected void` | `setType(java.lang.Object type)`

Methods inherited from class javax.management.MBeanAttributeInfo
`clone, equals, hashCode, isIs, isReadable, isWritable`

Methods inherited from class javax.management.MBeanFeatureInfo
`getDescription, getName`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModuleAttributeInfo

    public ModuleAttributeInfo(Type type)
                        throws javax.management.InvalidAttributeValueException

  Construct a new instance of ModuleAttributeInfo.

  Parameters:
    `type` - the element to create info for.
  Throws:
    `javax.management.InvalidAttributeValueException`
    `java.lang.IllegalArgumentException`

### ModuleAttributeInfo

    public ModuleAttributeInfo(ModuleAttributeInfo attr)

Method Detail

### getLegalValues

    public java.lang.Object[] getLegalValues()

### isComplexType

    public boolean isComplexType()

  Returns true if this attribute refers to a ComplexType.

  Returns:
    true if this attribute refers to a ComplexType.

### isOverrideable

    public boolean isOverrideable()

  Returns true if this attribute could be overridden in per settings.

  Returns:
    True if overrideable.

### isTransient

    public boolean isTransient()

  Returns true if this attribute should be hidden from UI and not be serialized to persistent storage.

  Returns:
    True if transient.

### isExpertSetting

    public boolean isExpertSetting()

  Returns true if this Type should only show up in expert mode in UI.

  Returns:
    true if this Type should only show up in expert mode in UI.

### getDefaultValue

    public java.lang.Object getDefaultValue()

  Returns:
    Default value.

### getType

    public java.lang.String getType()

  Overrides:
    `getType` in class `javax.management.MBeanAttributeInfo`

### setType

    protected void setType(java.lang.Object type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.